' This a program to compute dynamic multipliers
if @isobject("m_temp")=1 then
delete m_temp
endif
if @isobject("dfbase")=1 then
delete dfbase
endif
if @isobject("dfshock")=1 then
delete dfshock
endif

'baseline simulation
smpl 1986:01 2010:12
'group exog d12lm2 d12lyst
'group endog tbill3 infl d12ly
'define  growing rate of money
genr x=6
model dfbase
'define exogenous variables
dfbase.append lm2=lm2(-12) +x
dfbase.append lyst=773.27+0.275*@TREND(1959:01)
'loadind endogenous variables
dfbase.merge df
copy dfbase m_temp
m_temp.append assign @all  _bl
m_temp.solve
delete m_temp
group exog_bl d12lm2_bl d12lyst_bl
group endog_bl tbill3_bl infl_bl d12ly_bl

'disturbed simulation
smpl 1986:01 2010:12
'define  shock to growing rate of money
genr y=1
model dfshock
'exogenous variables
dfshock.append lm2=lm2(-12) +(x+y)
dfshock.append lyst=773.27+0.275*@TREND(1959:01)
'loading endogenous variables
dfshock.merge df
copy dfshock m_temp
m_temp.append assign @all  _ds
m_temp.solve
delete m_temp
group exog_ds d12lm2_ds d12lyst_ds
group endog_ds tbill3_ds infl_ds d12ly_ds
smpl 1987:1 2005:12
plot infl_bl infl_ds
plot d12ly_bl d12ly_ds
plot d12lm2_bl d12lm2_ds
plot tbill3_bl tbill3_ds
'computing dynamic multipliers
genr dm_infl=(infl_ds-infl_bl)/(y)
genr dm_d12ly=(d12ly_ds-d12ly_bl)/(y)
genr dm_tbill3=(tbill3_ds-tbill3_bl)/(y)
group dm  dm_infl dm_d12ly dm_tbill3
plot dm

